# 控制面板

麒麟信安操作系统通过控制面板来对系统的基本设置进行管理，主要包含声音声音显示、电源设备、帐户网络等设置项目。

控制面板中的设置项都被整合到连具体的分类中，打开控制面板程序之后可以看到其被分为连三列，第一列是一级分类，第二列是二级分类，第三列是具体的设置项。

控制面板顶部还提供了一个针对设置项的搜索框，用于快速准确的查找设置项。输入关键字，则会弹出相匹配的搜索项。
![search-edit.png](../../images/docs/search-edit.png)
# 关于系统
控制面板会默认打开关于系统的设置项，在此分类中，主要包含系统信息和软件信息，通过选中不同的二级分类便可查看并修改对应的信息。
![about-system-dark.png](../../images/docs/about-system-dark.png)
# 声音设置
声音设置可以单独设置系统的输入、输出设备以及音量和左右的声道平衡。
## 输出设置
进入声音模块后，选中`输出`便可以对输出设备及其音量、左右声道到平衡效果进行调整
## 输入设置
进入声音模块后，选中`输入`便可以对输入设备及其输入音量进行调整，且在在下方可以实时监听所选输入设备的声音可视化反馈效果。
# 认证管理
在认证管理模块中，主要分为连三个部分：认证设备、设备驱动、配置管理。
![authentication-dark.png](../../images/docs/authentication-dark.png)
其中认证设备类型主要包括指纹、指静脉、UKey、虹膜、人脸，进入某个认证设备类型内部后，便可以单独选中该类型下的设备，以及这对某个设备下的特征进行管理。

驱动管理则是各个类型设备的设置，可以通过上方设备类型到选中来查看该类型下的驱动列表，并可以对其管理。

配置管理部分主要是针对各个认证类型在不同场景下的启用状态作出设置。
# 电源管理
电源管理主要包括三部分的设置项：通用设置、电源设置、电池设置。
![power-manager-dark.png](../../images/docs/power-manager-dark.png)
通用设置是对电源管理中一些通用项的设置。
1. 对电源键按下时的行为进行自定义设置，目前支持设置条目如下：
	- 关机
	- 休眠
	- 待机
	- 关闭显示器
	- 不执行操作
2. 显示亮度设置
3. 设置计算机空闲时间
4. 设置计算机空闲时是否锁定屏幕
5. 设置待机时唤醒是否需要输入密码

电源设置是对计算机和显示器在接入电源时的状态进行设置。
对于计算机，可以设置空闲不同的时间后计算机会采取什么行为，例如：待机、关机、休眠、不执行任何行为；
对于显示器则只能对关闭时间进行设置。

电池设置则是对计算机和显示器在使用电池而未接入电源时的状态进行设置。对于计算机，可以设置空闲不同时间后计算会采取什么行为，例如：待机、关机、休眠、不执行任何行为。还可以设置在电池电量即将耗尽时所采取的行为，以及低电量时是否自动开启节能模式；对于显示器则能设置其关闭时间。同时能够设置低电量时或空闲时是否减少亮度。
# 设备管理
设备管理主要对鼠标和键盘进行配置。
![hardware-dark.png](../../images/docs/hardware-dark.png)

在通用设置中对键盘的重复键能力进行管理，当开启时可以对按键的延时、速度进行设置，并且在下方提供了测试输入框来对设置效果进行即时的测试。
键盘布局中则可以设置键盘的布局效果，目前所支持的布局多达几百种，支持世界上大部分国家/地区的语言设置。

> 需要注意的是目前候选布局不能超过4个
# 登录设置
登录设置主要是对电脑启动后登录界面进行设置。
![login-settings-dark.png](../../images/docs/login-settings-dark.png)
## 登录选项
在登录选项中，可以设置如下项：
1. 可以设置登录界面的背景图片以及缩放模式，其中缩放模式包括自动、手动以及禁用。当设置为手动时，可以设置背景照片的缩放比例。
2. 是否允许手动输入用户名登录。
3. 是否显示用户列表。
## 自动登录
![login-settings-auto-login-dark.png](../../images/docs/login-settings-auto-login-dark.png)
> 该设置项重启后生效

开启自动登录之后，可以将某个帐户设置为自动登录，同时还可以设置自动登录的延时时长，默认为0秒。

# 帐户管理
帐户管理针系统帐号进行管理，包含了常用设置和高级设置。
![account-manager-dark.png](../../images/docs/account-manager-dark.png)
帐户修改，可以针对某个帐户的基本信息进行修改和启用禁用帐户。
- 头像修改：单击所选帐户的头像即可进入头像选择页面。除了系统自带的头像可选择外，还可以上传自定义图片作为头像。
- 密码修改：单击密码修改即可对所选帐户的密码进行修改。密码修改时需要通过旧密码的校验。
- 更改用户类型：可以修改帐户的类型为普通用户、管理员。
- 是否启用用户：此处启用/禁用所选帐户。

帐户创建，可以通过点击创建新用户，除了上述常规设置之外，在创建用户时还可以通过高级设置设置以下项：
- 登录 Shell
- 指定用户 ID
- 指定用户目录
# 日期时间
在时间日期设置中可以针对系统的时间日期、时区以及时间日期格式进行设置。

![time-date-dark.png](../../images/docs/time-date-dark.png)
## 更改时区 
点击更改时区后，则可根据需要设定当前系统的时区，点击保存后则可应用到系统中。也可以通过最下方的重置按钮，将时区恢复到默认的时区`（UTC+08:00 亚洲/上海）`。
## 手动设置时间
若自动同步未开启，则可通过此设置手动设置日期与时间。修改完成后则可点击应用系统。也可以通过最下方的重置按钮，将时间日期恢复到服务器时间。
## 日期时间格式设置
在该设置项中可以对：
- 长日期、短日期的显示格式作出设置。
- 时间格式设置为十二小时制、二十四小时制。
- 时间显示是否显示秒。
# 网络管理

网络管理可以对网络接口配置、VPN、网络详情信息进行管理。

![network-dark.png](../../images/docs/network-dark.png)
# 显示管理
显示管理可以管理显示器的显示方向、分辨率、刷新率、缩放率，以及对多个显示器的位置属性进行设置和调整。

![display-dark.png](../../images/docs/display-dark.png)
# 个性化设置
在个性化设置中可以根据自己的喜好设置系统主题、壁纸、字体以及快捷键。
![in-dark.png](../../images/docs/in-dark.png)
## 主题设置
### 设置深浅色主题
点击主题设置项之后，可以对系统主题进行设置，包括冰晶白、曜岩黑、以及自动主题切换。
自动主题表示根据当前时区的时间以及日出日落时间自动更换窗口主题的冰晶白、曜岩黑主题色。
### 设置图标主题

点击选中图标主题，可以进入图标主题选择界面，单击选中一款图标后即可立刻应用到系统。
### 设置光标主题
点击选中光标主题，可以进入光标主题选择界面，单击选中一款光标后即可立刻应用到系统。
## 壁纸设置
壁纸设置可以设置桌面壁纸以及锁屏壁纸，点击`选择桌面壁纸`之后则进入壁纸选择界面，可已从内置壁纸中选择或上传图片自定义壁纸
## 字体设置
选中字体设置项后，可以设置系统范围内的字体以及字体大小，可设置的字体包括：
- 应用程序字体
- 窗口标题字体 
- 等宽字体
## 快捷键设置
选中快捷键设置项之后，可以设置系统内全局的快捷键映射。由于可设置的快捷键较多，在顶部还提供了搜索框，方便选择设置项。
![in-hotkey.png](../../images/docs/in-hotkey.png)